package com.gyee.wisdom.dao.point;

import com.gyee.wisdom.common.data.point.PowerStationTestingPoint;
import com.gyee.wisdom.common.data.point.TestingPoint;

import java.util.List;

public interface ITestingPointDao {

    List<TestingPoint> getAll();

    List<TestingPoint>getListByPage(int pageIndex, int pageSize);

    TestingPoint getPointById(String id);

    void save(TestingPoint newPoint);

    void delete(String id);

    void  update(TestingPoint point);
}
